Index: testsuites/samples/base_mp/init.c
===================================================================
--- testsuites/samples/base_mp/init.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/base_mp/init.c	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -22,10 +22,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "shm.h"
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
@@ -42,5 +38,9 @@
   status = rtems_task_create( task_name, 1, 1024,
              RTEMS_INTERRUPT_LEVEL(0), RTEMS_DEFAULT_ATTRIBUTES, &tid );
-  status = rtems_task_start( tid, Application_task, Mp_conf_addr.node );
+  status = rtems_task_start(
+    tid,
+    Application_task,
+    Multiprocessing_configuration.node
+  );
   status = rtems_task_delete( RTEMS_SELF );
 }
Index: testsuites/samples/base_mp/system.h
===================================================================
--- testsuites/samples/base_mp/system.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/base_mp/system.h	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -15,18 +15,32 @@
  */
 
-#include <rtems.h>
-#include <bsp.h>
-#include <stdio.h>
-#include <libcsupport.h>
+#include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+rtems_task Application_task(
+  rtems_task_argument argument
+);
 
-/* structures */
+/* configuration information */
+ 
+#define CONFIGURE_MPTEST
+ 
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+ 
+/*
+ *  Put the overrides of default configuration parameters here.
+ */
 
-#include "gvar.h"
+#include <confdefs.h>
 
+/* variables */
+
+TEST_EXTERN rtems_id Global_variable;   /* example global variable     */
+ 
 /* end of include file */
Index: testsuites/samples/base_sp/init.c
===================================================================
--- testsuites/samples/base_sp/init.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/base_sp/init.c	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -22,9 +22,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 #define ARGUMENT 0
Index: testsuites/samples/base_sp/system.h
===================================================================
--- testsuites/samples/base_sp/system.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/base_sp/system.h	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -12,20 +12,31 @@
  *  notice must appear in all copies of this file and its derivatives.
  *
- *  system.h,v 1.2 1995/05/31 17:05:38 joel Exp
+ *  $Id$
  */
 
-#include <rtems.h>
-#include <bsp.h>
-#include <stdio.h>
+#include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+rtems_task Application_task(
+  rtems_task_argument argument
+);
 
-/* structures */
+/* configuration information */
 
-#include "gvar.h"
+#define CONFIGURE_SPTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id Global_variable;    /* example global variable     */
 
 /* end of include file */
Index: testsuites/samples/cdtest/init.c
===================================================================
--- testsuites/samples/cdtest/init.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/cdtest/init.c	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -22,8 +22,5 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 #include <stdio.h>
Index: testsuites/samples/cdtest/system.h
===================================================================
--- testsuites/samples/cdtest/system.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/cdtest/system.h	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -15,17 +15,27 @@
  */
 
-#include <rtems.h>
-#include <bsp.h>
-#include <stdio.h>
+#include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task main_task(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_SPTEST
 
-#include "gvar.h"
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
 
+#define CONFIGURE_INIT_TASK_ENTRY_POINT   main_task
+#define CONFIGURE_INIT_TASK_NAME          rtems_build_name( 'C', 'T', 'O', 'R' )
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id Global_variable;   /* example global variable     */
+ 
 /* end of include file */
Index: testsuites/samples/hello/init.c
===================================================================
--- testsuites/samples/hello/init.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/hello/init.c	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -22,9 +22,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 #include <stdio.h>
 
Index: testsuites/samples/hello/system.h
===================================================================
--- testsuites/samples/hello/system.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/hello/system.h	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -15,18 +15,21 @@
  */
 
-#include <rtems.h>
-#include <bsp.h>
+#include <tmacros.h>
 
-#include <stdio.h>
+/* functions */
 
-/* Miscellaneous */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-#define EXTERN  extern             /* external definition */
+/* configuration information */
 
-/* macros */
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
 
-/* structures */
+#include <confdefs.h>
 
-#include "gvar.h"
+/* global variables */
+
+TEST_EXTERN rtems_id Global_variable;   /* example global variable     */
 
 /* end of include file */
Index: testsuites/samples/paranoia/init.c
===================================================================
--- testsuites/samples/paranoia/init.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/paranoia/init.c	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -22,9 +22,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 extern int paranoia(int, char **);
Index: testsuites/samples/paranoia/system.h
===================================================================
--- testsuites/samples/paranoia/system.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/paranoia/system.h	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -15,17 +15,22 @@
  */
 
-#include <rtems.h>
-#include <bsp.h>
-#include <stdio.h>
+#include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+/* configuration information */
 
-/* structures */
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
 
-#include "gvar.h"
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id Global_variable;   /* example global variable     */
 
 /* end of include file */
Index: testsuites/samples/ticker/init.c
===================================================================
--- testsuites/samples/ticker/init.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/ticker/init.c	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -22,9 +22,6 @@
  */
 
+#define TEST_INIT
 #include "system.h"
-#undef EXTERN
-#define EXTERN
-#include "conftbl.h"
-#include "gvar.h"
 
 rtems_task Init(
Index: testsuites/samples/ticker/system.h
===================================================================
--- testsuites/samples/ticker/system.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ testsuites/samples/ticker/system.h	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -17,13 +17,27 @@
 #include <tmacros.h>
 
-/* Miscellaneous */
+/* functions */
 
-#define EXTERN  extern             /* external definition */
+rtems_task Init(
+  rtems_task_argument argument
+);
 
-/* macros */
+rtems_task Test_task(
+  rtems_task_argument argument
+);
 
-/* structures */
+/* configuration information */
 
-#include "gvar.h"
+#define CONFIGURE_SPTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id   Task_id[ 4 ];         /* array of task ids */
+TEST_EXTERN rtems_name Task_name[ 4 ];       /* array of task names */
 
 /* end of include file */
